package com.jeeplus.modules.sg.financial.settlement.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 财务项目概预算信息实体类
 *
 * @author user3
 * @date 2020-11-24
 */
public class ProjectBudget extends DataEntity<ProjectBudget> {
    /**
     * 项目名称
     * */
    private String projectName;
    /**
     * 项目编码
     * */
    private String projectId;
    /**
     * 设计单位
     * */
    private String designUnit;
    /**
     * 施工单位
     * */
    private String constructionUnit;
    /**
     * 建筑地址
     * */
    private String buildingAddress;
    /**
     * 建筑属性
     * */
    private String buildingProperty;
    /**
     * 发文总投资
     * */
    private String totalInvestment;
    /**
     * 开工时间
     * */
    private Date startTime;
    /**
     * 竣工时间
     * */
    private Date stopTime;
    /**
     * 批准文号
     * */
    private String approvalNumber;
    /**
     * 建筑费
     * */
    private Double constructionCost;
    /**
     * 安装费
     * */
    private Double installationCost;
    /**
     * 设备购置费
     * */
    private Double equipmentCost;
    /**
     * 主材费
     * */
    private Double materialCost;
    /**
     * 设计费
     * */
    private Double designCost;
    /**
     * 监理费
     * */
    private Double supervisorCost;
    /**
     * 项目前期工作费
     * */
    private Double preliminaryWorkCost;
    /**
     * 线路施工赔偿费
     * */
    private Double compensationCost;
    /**
     * 法人管理费
     * */
    private Double administrationCost;
    /**
     * 设计合同折扣
     * */
    private Double designContractDiscount;
    /**
     * 设计典设折扣
     * */
    private Double designTypicalDiscount;
    /**
     * 设计含税税率
     * */
    private Double designTaxRate;
    /**
     * 监理合同折扣
     * */
    private Double supervisorContractDiscount;
    /**
     * 监理含税税率
     */
    private Double supervisorTaxRate;
    /**
     * 项目类型
     * */
    private String projectType;
    /**
     * 甲供材领退料检查
     * */
    private String donorMaterialCheck;
    /**
     * 施工费检查
     * */
    private String constructionCostCheck;
    /**
     * 设计费检查
     * */
    private String designCostCheck;
    /**
     * 监理费检查
     * */
    private String supervisorCostCheck;

    /**
     * 应付设计费
     */
    private String designFeePayable;

    /**
     * 应付监理费
     */
    private String supervisionFeePayable;


    /**
     * 查询用id集合
     * */
    private String[] projectIds;

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDesignUnit() {
        return designUnit;
    }

    public void setDesignUnit(String designUnit) {
        this.designUnit = designUnit;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getBuildingAddress() {
        return buildingAddress;
    }

    public void setBuildingAddress(String buildingAddress) {
        this.buildingAddress = buildingAddress;
    }

    public String getBuildingProperty() {
        return buildingProperty;
    }

    public void setBuildingProperty(String buildingProperty) {
        this.buildingProperty = buildingProperty;
    }

    public String getTotalInvestment() {
        return totalInvestment;
    }

    public void setTotalInvestment(String totalInvestment) {
        this.totalInvestment = totalInvestment;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStopTime() {
        return stopTime;
    }

    public void setStopTime(Date stopTime) {
        this.stopTime = stopTime;
    }

    public String getApprovalNumber() {
        return approvalNumber;
    }

    public void setApprovalNumber(String approvalNumber) {
        this.approvalNumber = approvalNumber;
    }

    public Double getConstructionCost() {
        return constructionCost;
    }

    public void setConstructionCost(Double constructionCost) {
        this.constructionCost = constructionCost;
    }

    public Double getInstallationCost() {
        return installationCost;
    }

    public void setInstallationCost(Double installationCost) {
        this.installationCost = installationCost;
    }

    public Double getEquipmentCost() {
        return equipmentCost;
    }

    public void setEquipmentCost(Double equipmentCost) {
        this.equipmentCost = equipmentCost;
    }

    public Double getMaterialCost() {
        return materialCost;
    }

    public void setMaterialCost(Double materialCost) {
        this.materialCost = materialCost;
    }

    public Double getDesignCost() {
        return designCost;
    }

    public void setDesignCost(Double designCost) {
        this.designCost = designCost;
    }

    public Double getSupervisorCost() {
        return supervisorCost;
    }

    public void setSupervisorCost(Double supervisorCost) {
        this.supervisorCost = supervisorCost;
    }

    public Double getPreliminaryWorkCost() {
        return preliminaryWorkCost;
    }

    public void setPreliminaryWorkCost(Double preliminaryWorkCost) {
        this.preliminaryWorkCost = preliminaryWorkCost;
    }

    public Double getCompensationCost() {
        return compensationCost;
    }

    public void setCompensationCost(Double compensationCost) {
        this.compensationCost = compensationCost;
    }

    public Double getAdministrationCost() {
        return administrationCost;
    }

    public void setAdministrationCost(Double administrationCost) {
        this.administrationCost = administrationCost;
    }

    public Double getDesignContractDiscount() {
        return designContractDiscount;
    }

    public void setDesignContractDiscount(Double designContractDiscount) {
        this.designContractDiscount = designContractDiscount;
    }

    public Double getDesignTypicalDiscount() {
        return designTypicalDiscount;
    }

    public void setDesignTypicalDiscount(Double designTypicalDiscount) {
        this.designTypicalDiscount = designTypicalDiscount;
    }

    public Double getDesignTaxRate() {
        return designTaxRate;
    }

    public void setDesignTaxRate(Double designTaxRate) {
        this.designTaxRate = designTaxRate;
    }

    public Double getSupervisorContractDiscount() {
        return supervisorContractDiscount;
    }

    public void setSupervisorContractDiscount(Double supervisorContractDiscount) {
        this.supervisorContractDiscount = supervisorContractDiscount;
    }

    public Double getSupervisorTaxRate() {
        return supervisorTaxRate;
    }

    public void setSupervisorTaxRate(Double supervisorTaxRate) {
        this.supervisorTaxRate = supervisorTaxRate;
    }


    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getDonorMaterialCheck() {
        return donorMaterialCheck;
    }

    public void setDonorMaterialCheck(String donorMaterialCheck) {
        this.donorMaterialCheck = donorMaterialCheck;
    }

    public String getConstructionCostCheck() {
        return constructionCostCheck;
    }

    public void setConstructionCostCheck(String constructionCostCheck) {
        this.constructionCostCheck = constructionCostCheck;
    }

    public String getDesignCostCheck() {
        return designCostCheck;
    }

    public void setDesignCostCheck(String designCostCheck) {
        this.designCostCheck = designCostCheck;
    }

    public String getSupervisorCostCheck() {
        return supervisorCostCheck;
    }

    public void setSupervisorCostCheck(String supervisorCostCheck) {
        this.supervisorCostCheck = supervisorCostCheck;
    }

    public String getDesignFeePayable() {
        return designFeePayable;
    }

    public void setDesignFeePayable(String designFeePayable) {
        this.designFeePayable = designFeePayable;
    }

    public String getSupervisionFeePayable() {
        return supervisionFeePayable;
    }

    public void setSupervisionFeePayable(String supervisionFeePayable) {
        this.supervisionFeePayable = supervisionFeePayable;
    }

    public String[] getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(String[] projectIds) {
        this.projectIds = projectIds;
    }
}
